import { IService } from "../Service";
export interface IPermissionChangeRequest {
    condition: Realm.Sync.PermissionCondition;
    realmPath: string;
    accessLevel: Realm.Sync.AccessLevel;
}
export declare class PermissionsService implements IService {
    private static MANAGEMENT_REALM_REGEX;
    private static ADMIN_REALM_REGEX;
    private adminRealm;
    private wildcardPermissionRealm;
    private logger;
    private server;
    private handleManagementChangeCallback;
    private handleAdminChangeCallback;
    private pendingHandlerCallbacks;
    private static extractPermission;
    private static ensureInTransaction;
    private static getPrimaryKey;
    private getManagementRealmForUserId;
    private getUserSpecificPermissionRealm;
    private start;
    private stopping;
    private stop;
    private onDemand;
    private applyPermissions;
    private unreflectPermissionIn;
    private reflectPermissionIn;
    private getUserByUserId;
    private getUserIdsWithMetadata;
    private grantReadOnlyAccessToWildcardPermissionRealm;
    private grantReadWriteOnUserPermissionRealms;
    private applyPermissionChangeInAdminRealm;
    private handleAdminRealmChange;
    private handleManagementRealmChange;
    private handleGNCallback;
    private handlePermissionOfferObject;
    private handlePermissionOfferResponseObject;
    private handlePermissionChangeObject;
    private validateUserIdCanChangePermissionsForPath;
}
