import { Realm } from "../shared/realmUtil";
import { RefreshToken, AccessToken } from "./Token";
import { RealmFactory } from "../RealmFactory";
import { Logger } from "./Logger";
export declare class TokenValidator {
    private logger;
    private publicKey;
    private realmFactory;
    private tokenRevocationRealm;
    private disableRevocation;
    constructor({ logger, publicKey, realmFactory, disableRevocation, }: {
        logger: Logger;
        publicKey: string;
        realmFactory: RealmFactory;
        disableRevocation: boolean;
    });
    start(): Promise<void>;
    stop(): void;
    parse(tokenData: string, mustBeAdmin?: boolean, adminRealm?: Realm): AccessToken | RefreshToken;
    private isTokenRevoked;
}
