import { Logger } from "../shared/Logger";
import { StatsSink } from "./StatsSink";
import { StatsdReceiver } from "./StatsdReceiver";
export declare type Labels = {
    [key: string]: string;
};
export interface StatsdToStatsSinkConfiguration {
    labels?: Labels;
    logger: Logger;
    statsSink: StatsSink;
}
export declare class StatsdToStatsSink {
    private logger;
    private labels;
    private receiver;
    private gauges;
    private counters;
    private histograms;
    constructor(config: StatsdToStatsSinkConfiguration, receiver?: StatsdReceiver);
    listenTo(receiver: StatsdReceiver): void;
    stop(): void;
    private handleMetric;
    private skipMetric;
}
